---
lang: en
title: 'API docs: metadata.namespacedreflect._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [(constructor)](./metadata.namespacedreflect._constructor_.md)

## NamespacedReflect._constructor_

Constructs a new instance of the `NamespacedReflect` class

<b>Signature:</b>

```typescript
constructor(namespace?: string | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  namespace | <code>string &#124; undefined</code> | Namespace to bind this reflect context |


